Page MenuHomeFreeBSD

[new driver] dev/hpt37xx: Add Highpoint driver for 3740A/840A cards
AcceptedPublic

Authored by jpaetzel on May 5 2018, 6:06 AM.

Details

Reviewers
imp
mav
scottl
bcr
Group Reviewers
manpages
Summary

Add the hpt37xx driver to the tree.

This driver was written by Highpoint and supports the
3740A 12Gbps SAS RAID controller as well as the 3840A
NVMe RAID controller.

Test Plan

Ideally someone with the hardware would give this a try.

Diff Detail

Repository
rS FreeBSD src repository
Lint
Lint OK
Unit
No Unit Test Coverage
Build Status
Buildable 16445
Build 16364: arc lint + arc unit

Event Timeline

jpaetzel created this revision.May 5 2018, 6:06 AM
jpaetzel updated this revision to Diff 42166.May 5 2018, 6:14 AM

Remove invalid UTF-8 from README

jpaetzel updated this revision to Diff 42167.May 5 2018, 6:33 AM

Fix typo

emaste added a subscriber: emaste.May 5 2018, 4:14 PM
emaste added a comment.May 5 2018, 4:33 PM

wrt amd64-elf.hpt37xx_lib.o.uu, I'd like us to stop uuencoding objects, they can just be committed directly.

We have a number of binary files in the tree already, some representative examples:

stand/efi/boot1/fat-amd64.tmpl.xz
contrib/unbound/contrib/unbound_cacti.tar.gz
contrib/binutils/ld/emultempl/spu_ovl.o
tests/sys/cddl/zfs/tests/cli_root/zpool_import/blockfiles/unclean_export.dat.bz2

emaste added a comment.May 5 2018, 4:34 PM

It appears this is not connected in sys/modules?

imp added inline comments.May 5 2018, 10:45 PM
sys/modules/hpt37xx/Makefile
8–13

why is this needed? Nobody else needs this, as far as I know...

linimon retitled this revision from Add Highpoint driver for 3740A/840A cards to [new driver] dev/hpt37xx: Add Highpoint driver for 3740A/840A cards.Aug 2 2018, 10:10 PM
bcr accepted this revision.Aug 19 2018, 7:05 PM
bcr added a subscriber: bcr.

OK from manpages.

This revision is now accepted and ready to land.Aug 19 2018, 7:05 PM

Have a HighPoint 2840a that uses that uses this driver. How could I test this out?

Have a HighPoint 2840a that uses that uses this driver. How could I test this out?

I could do a build that has the driver and put it on freefall so you could grab it and test it. Do you have amd64 hardware I assume?

Have a HighPoint 2840a that uses that uses this driver. How could I test this out?

I could do a build that has the driver and put it on freefall so you could grab it and test it. Do you have amd64 hardware I assume?

I contacted HighPoint and they are going to do a driver for me to install. Think that will be the route I will go for now.

IMO uuencoding objects is an artifact of when we had a less capable VCS; we have binary files in the tree already and so it should be fine to skip the uuencode.